
Member Nodes - MNDeployment #6548

R2R Repository

2014-11-06 20:47 - Matthew Jones

Status: Operational Start date: 2015-03-20

Priority: High Due date:  

Assignee: Monica Ihli % Done: 89%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Latitude: 41.02 MN_Date_Online: 2017-01-18

Longitude: -73.91 Name:  

MN Description: Rolling Deck to Repository (R2R) is the

repository for environmental sensor data

routinely acquired by oceanographic

vessels in the U.S. academic research

fleet.  The fleet supports hundreds of

expeditions around the world each year,

ranging from oceans to coasts and

estuaries to the Great Lakes.  R2R

provides a master catalog of expeditions

(cruises); an inventory of original field

datasets; processed datasets including

shiptrack navigation; and links to related

publications and content at partner

repositories.

Logo URL:  

Base URL: http://www.rvdata.us/ Date Upcoming:  

NodeIdentifier: urn:node:R2R Date Deprecated:  

MN Tier: Tier 1 Information URL:  

Software stack: Slender Node (GMN) Version:  

Description

The Rolling Deck to Repository (R2R) (http://www.rvdata.us/)

Main contact: Bob Arko arko@ldeo.columbia.edu

As of today, the R2R repository holds over 17,444,740 data files from 3686 cruises using 26 vessels.

Implementation:  Interested in deploying this using DSpace which they already have operational.

Associated with GeoLink project which Matt Jones and Mark Schildhauer are on.

Subtasks:

Task # 6923: R2R: Scope the implementation Closed

Task # 6924: R2R: Plan the implementation Closed

Task # 6925: R2R: Design, code and component test a new MN implementation Closed

Task # 6927: R2R: Register any new object formats in all environments In Progress

Task # 6928: R2R: Local Testing Closed

Task # 6929: R2R: Establish DataONE user identity in Testing Environment Closed

Task # 6930: R2R: Configure SSL Certificates for Testing Environment Closed

Task # 6931: R2R: Verify MN Content and Services in Testing Environment Closed

Task # 6932: R2R: Register MN in Testing Environment Closed

Task # 6933: R2R: Verify CN Content and Services in Testing Environment Closed

Task # 6934: R2R: Check Authentication and Authorization in Testing Environment Closed

Task # 6935: R2R: Show MN as "upcoming" on the dashboard Closed

Task # 6936: R2R: Establish DataONE user identity in Production Closed

Task # 6937: R2R: Configure SSL Certificates for Production Closed
Task # 6938: R2R: Verify MN Content and Services in Production Closed

Task # 6939: R2R: Register MN in Production Closed

Task # 6940: R2R: Verify CN Content and Services in Production Closed

Task # 6941: R2R: Check Authentication and Authorization in Production Closed

Task # 6942: R2R: Mutual acceptance Closed

Task # 6943: R2R: Ensure MN appears on Current MNs webpage (dashboard) Closed

Task # 6944: R2R: Document and Announce Closed

Task # 6922: R2R: Join DataONE Closed

Task # 7899: R2R: modify searchUI to accommodate composite data density with cruise paths New

Task # 7900: R2R: modify searchUI to accommodate cruise path display for single data pa... New

History

#1 - 2015-03-10 18:37 - Laura Moyers

- Target version set to Deploy by end of Y2Q1

#2 - 2015-04-17 14:39 - Laura Moyers

- Status changed from New to Planning

- % Done changed from 0 to 10

#3 - 2015-05-30 00:34 - Laura Moyers

- NodeIdentifier set to urn:node:R2R

#4 - 2015-12-03 20:51 - Laura Moyers

- Target version changed from Deploy by end of Y2Q1 to Deploy by end of Y2Q2

#5 - 2016-03-31 17:29 - Laura Moyers

- Base URL set to http://www.rvdata.us/

- Software stack set to DSpace

#6 - 2016-04-04 18:10 - Laura Moyers

- Target version changed from Deploy by end of Y2Q2 to Deploy by end of Y2Q3

#7 - 2016-06-15 18:26 - Laura Moyers

- Target version changed from Deploy by end of Y2Q3 to Deploy by end of Y2Q4

#8 - 2016-09-07 20:52 - Laura Moyers

Meeting 7 September 2016 with Bob, Dave, Mark and Laura:  Bob wants to implement a Slender Node in order to have a MN presence sooner rather

than later, but "later" he'd like to revisit the DSpace implementation.

Next steps:

Bob:

CSW endpoint decisions

plan for hosting the GMN

DataONE:

investigate more sophisticated geometries

ensure GMN v2 is live

update redmine ticket to reflect our new direction

Meeting notes:  https://epad.dataone.org/pad/p/R2R_and_DataONE 
#9 - 2016-09-12 17:15 - Laura Moyers

- Target version changed from Deploy by end of Y2Q4 to Deploy by end of Y3Q1

#10 - 2016-09-28 16:43 - Laura Moyers

Meeting 28 September 2016 with Bob, Dave, Mark and Laura.  Meeting notes: https://epad.dataone.org/pad/p/R2R_and_DataONE

From last time:

Bob:

- CSW endpoint decisions  http://api.rvdata.us/  

  question:  what's the mutability of this content?  metadata could change if we learn more about a cruise, bu

t the DOI will NOT change

  the R2R DOI will be conceptually the SID (series identifier); the PID could be the checksum of the object, o

r a timestamp (if that is reliable) 

  clarification:  R2R will be metadata-only at least at first.  Bob says he'd like to include a link back to t

he actual content/data in the metadata.

  provide a couple NCEI examples to Bob

  a single cruise can have multiple data sets associated with it, each with its own DOI

  comment: an abstract would be helpful in discovery

  there is a lengthy POC section (wonder how this would render?)

  Bob wants to update DOIs in his endpoint, etc.

- plan for hosting the GMN

  - preferred that long-term, R2R host the GMN, but for our December (R2R: 1 Dec; DataONE: 7 Dec) deadlines, i

t would be easier for DataONE to host the GMN (which Bob could later grab and "copy")

 

DataONE:

- investigate more sophisticated geometries - Dave had talked with Lauren, who said that as long as the path is expressed in the metadata, the

rendering of such shouldn't be a problem.  This is for results for a single data package.  The overall geospatial rendering or data density (i.e. for all

R2R content), it would be a little more difficult to render cruise paths.  Requires geohashes.

- ensure GMN v2 is live

- update redmine ticket to reflect our new direction (DONE)

Next steps:

Bob:

- Firm up the CSW implementation

- ensure gmd: date stamp reflects the last updated date

- add in online distribution info (URL)

DataONE:

- Send NCEI examples to Bob (including online distribution info) (Dave)

https://cn.dataone.org/cn/v2/resolve/%7B289A1374-D916-42F3-97C4-90F0E188E96C%7D

https://cn.dataone.org/cn/v2/resolve/%7BF52B9C6F-681D-453C-AE24-31AAB68AD069%7D

https://cn.dataone.org/cn/v2/resolve/%7B23071751-5A5F-4C04-A0BC-A92C8A4E0C91%7D

Service Title: //gmd:distributionInfo/gmd:MD_Distribution/gmd:distributor/gmd:MD_Distributor/gmd:distributorTr

ansferOptions/gmd:MD_DigitalTransferOptions/gmd:onLine/gmd:CI_OnlineResource/gmd:name/gco:CharacterString

Service Description:

//gmd:distributionInfo/gmd:MD_Distribution/gmd:distributor/gmd:MD_Distributor/gmd:distributorTransferOptions/g

md:MD_DigitalTransferOptions/gmd:onLine/gmd:CI_OnlineResource/gmd:description/gco:CharacterString

Service Type:
//gmd:distributionInfo/gmd:MD_Distribution/gmd:distributor/gmd:MD_Distributor/gmd:distributorTransferOptions/g

md:MD_DigitalTransferOptions/gmd:onLine/gmd:CI_OnlineResource/gmd:protocol/gco:CharacterString

Service Endpoint:

//gmd:distributionInfo/gmd:MD_Distribution/gmd:distributor/gmd:MD_Distributor/gmd:distributorTransferOptions/g

md:MD_DigitalTransferOptions/gmd:onLine/gmd:CI_OnlineResource/gmd:linkage/gmd:URL 

| //gmd:distributionInfo/gmd:MD_Distribution/gmd:transferOptions/gmd:MD_DigitalTransferOptions/gmd:onLine/gmd:

CI_OnlineResource/gmd:linkage/gmd:URL

Set up GMN when v2 is available (testing GMN v2, the R2R adapter/connector, and the R2R endpoint)

Laura to create redmine tickets for the searchUI mods (Lauren can execute when there is R2R data available)

Mark to inquire with Roger re: GMNv2

Mark to set up a VM for a test instance of GMNv2

Laura to verify existence of MNDD - DONE, on redmine ticket #6922

#11 - 2016-11-09 20:57 - Dave Vieglais

- Software stack changed from DSpace to Slender Node (GMN) -DSpace-

Updating to reflect the use of GMN asa slender node for the R2R repository.

#12 - 2016-12-08 18:26 - Dave Vieglais

- Status changed from Planning to Testing

- % Done changed from 10 to 50

#13 - 2017-01-10 18:21 - Laura Moyers

- Assignee changed from Laura Moyers to Monica Ihli

- Status changed from Testing to In Review

- % Done changed from 50 to 80

In review.  As of 19 December 2015, there were 1820 objects on the R2R MN, 1781 on the CNs and 1781 indexed.  We need to identify as much as

possible if the cause of the non-sync condition is something that Bob can fix at the MN level or not.

#14 - 2017-01-19 01:09 - Laura Moyers

- MN_Date_Online set to 2017-01-18

- Software stack changed from Slender Node (GMN) -DSpace- to Slender Node (GMN)

- Status changed from In Review to Operational

R2R announced today:  

https://www.dataone.org/news/oceanographic-data-more-broadly-discoverable-rolling-deck-repository-r2r-program-joins-dataone
We are still investigating 39 objects which did not synchronize.  We think these are all ones which have an invalid date format in the system metadata.

#15 - 2017-01-19 01:09 - Laura Moyers

- Target version changed from Deploy by end of Y3Q1 to Operational

#16 - 2017-01-26 22:52 - Laura Moyers

- MN Description changed from The Rolling Deck to Repository (R2R) program aims to develop comprehensive fleet-wide management of underway

data to ensure preservation of and access to our national oceanographic research data resources. R2R provides is a central gateway through which

underway data from oceanographic expeditions will be routinely cataloged and securely transmitted to national long-term archives including the

National Geophysical Data Center (NGDC) and National Oceanographic Data Center (NODC). Data submission will be established through vessel

operators rather than individual science parties. to Rolling Deck to Repository (R2R) is the repository for environmental sensor data routinely acquired

by oceanographic vessels in the U.S. academic research fleet.  The fleet supports hundreds of expeditions around the world each year, ranging from

oceans to coasts and estuaries to the Great Lakes.  R2R provides a master catalog of expeditions (cruises); an inventory of original field datasets;

processed datasets including shiptrack navigation; and links to related publications and content at partner repositories.

MN Description changed per Bob Arko.  To be shown on MN profile page in DataONE Search.

#17 - 2017-01-26 23:08 - Matthew Jones

Laura -- the MN description text is controlled by the MN through the updateCapabilities() service, that gives them the ability to change their own

name, description, etc. in the node registry.  After they change it, we may need to trigger an update on the CN end before it shows up, but it should be

in their control.

#19 - 2018-01-09 21:00 - Dave Vieglais

- Sprint set to Ongoing Operational

#20 - 2018-07-26 13:49 - Amy Forrester

7/25/18: I have replaced Bob Arko as the Technical Director for R2R, so I should be the new contact. Please let me know if you have any questions.

Suzanne O'Hara sohara@ldeo.columbia.edu
